[Home] [Buy] [News] [Family Trees] [Leaderboard]
[Photos] [Update Log] [Forums] [Unicode Language Mod] [Tech Tree]
Recommendedby A. G. N.
496.6 hours on record
Posted 13 months agoLast Played 3 months ago

I am unable to update the zoom mod although I have downloaded the latest version (365). When I boot up the mod game, I get an error message that states "The version of the mod is outdated (expecting version 369 - running version 365)" included is the link on where to download, however I do not see a version 369 anywhere on the github.com site. Please assist! Thank you.
[Home] [Buy] [Wiki] [Food Stats] [Fail Stats] [Polls] [FAQ] [Artwork] [AHAP] [Credits]